IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2002:d900::/24- First address
2002:d900::- Last address
2002:d9ff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2002:d900:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
9.d.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:d900::/24 makes 65,536 subnets of /40; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:d900::/40 | 2002:d900:ff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:d900:100::/40 | 2002:d900:1ff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:d900:200::/40 | 2002:d900:2ff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:d900:300::/40 | 2002:d900:3ff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:d900:400::/40 | 2002:d900:4ff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:d900:500::/40 | 2002:d900:5ff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:d900:600::/40 | 2002:d900:6ff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:d900:700::/40 | 2002:d900:7ff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:d900:800::/40 | 2002:d900:8ff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:d900:900::/40 | 2002:d900:9ff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:d900:a00::/40 | 2002:d900:aff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:d900:b00::/40 | 2002:d900:bff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:d900:c00::/40 | 2002:d900:cff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:d900:d00::/40 | 2002:d900:dff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:d900:e00::/40 | 2002:d900:eff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:d900:f00::/40 | 2002:d900:fff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:d900:1000::/40 | 2002:d900:10ff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:d900:1100::/40 | 2002:d900:11ff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:d900:1200::/40 | 2002:d900:12ff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:d900:1300::/40 | 2002:d900:13ff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:d900:1400::/40 | 2002:d900:14ff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:d900:1500::/40 | 2002:d900:15ff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:d900:1600::/40 | 2002:d900:16ff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:d900:1700::/40 | 2002:d900:17ff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:d900:1800::/40 | 2002:d900:18ff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:d900:1900::/40 | 2002:d900:19ff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:d900:1a00::/40 | 2002:d900:1aff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:d900:1b00::/40 | 2002:d900:1bff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:d900:1c00::/40 | 2002:d900:1cff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:d900:1d00::/40 | 2002:d900:1dff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:d900:1e00::/40 | 2002:d900:1eff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:d900:1f00::/40 | 2002:d900:1fff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:d900:2000::/40 | 2002:d900:20ff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:d900:2100::/40 | 2002:d900:21ff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:d900:2200::/40 | 2002:d900:22ff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:d900:2300::/40 | 2002:d900:23ff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:d900:2400::/40 | 2002:d900:24ff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:d900:2500::/40 | 2002:d900:25ff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:d900:2600::/40 | 2002:d900:26ff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:d900:2700::/40 | 2002:d900:27ff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:d900:2800::/40 | 2002:d900:28ff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:d900:2900::/40 | 2002:d900:29ff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:d900:2a00::/40 | 2002:d900:2aff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:d900:2b00::/40 | 2002:d900:2bff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:d900:2c00::/40 | 2002:d900:2cff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:d900:2d00::/40 | 2002:d900:2dff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:d900:2e00::/40 | 2002:d900:2eff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:d900:2f00::/40 | 2002:d900:2fff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:d900:3000::/40 | 2002:d900:30ff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:d900:3100::/40 | 2002:d900:31ff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:d900:3200::/40 | 2002:d900:32ff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:d900:3300::/40 | 2002:d900:33ff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:d900:3400::/40 | 2002:d900:34ff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:d900:3500::/40 | 2002:d900:35ff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:d900:3600::/40 | 2002:d900:36ff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:d900:3700::/40 | 2002:d900:37ff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:d900:3800::/40 | 2002:d900:38ff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:d900:3900::/40 | 2002:d900:39ff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:d900:3a00::/40 | 2002:d900:3aff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:d900:3b00::/40 | 2002:d900:3bff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:d900:3c00::/40 | 2002:d900:3cff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:d900:3d00::/40 | 2002:d900:3dff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:d900:3e00::/40 | 2002:d900:3eff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:d900:3f00::/40 | 2002:d900:3fff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:d900:4000::/40 | 2002:d900:40ff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:d900:4100::/40 | 2002:d900:41ff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:d900:4200::/40 | 2002:d900:42ff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:d900:4300::/40 | 2002:d900:43ff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:d900:4400::/40 | 2002:d900:44ff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:d900:4500::/40 | 2002:d900:45ff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:d900:4600::/40 | 2002:d900:46ff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:d900:4700::/40 | 2002:d900:47ff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:d900:4800::/40 | 2002:d900:48ff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:d900:4900::/40 | 2002:d900:49ff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:d900:4a00::/40 | 2002:d900:4aff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:d900:4b00::/40 | 2002:d900:4bff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:d900:4c00::/40 | 2002:d900:4cff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:d900:4d00::/40 | 2002:d900:4dff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:d900:4e00::/40 | 2002:d900:4eff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:d900:4f00::/40 | 2002:d900:4fff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:d900:5000::/40 | 2002:d900:50ff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:d900:5100::/40 | 2002:d900:51ff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:d900:5200::/40 | 2002:d900:52ff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:d900:5300::/40 | 2002:d900:53ff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:d900:5400::/40 | 2002:d900:54ff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:d900:5500::/40 | 2002:d900:55ff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:d900:5600::/40 | 2002:d900:56ff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:d900:5700::/40 | 2002:d900:57ff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:d900:5800::/40 | 2002:d900:58ff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:d900:5900::/40 | 2002:d900:59ff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:d900:5a00::/40 | 2002:d900:5aff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:d900:5b00::/40 | 2002:d900:5bff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:d900:5c00::/40 | 2002:d900:5cff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:d900:5d00::/40 | 2002:d900:5dff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:d900:5e00::/40 | 2002:d900:5eff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:d900:5f00::/40 | 2002:d900:5fff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:d900:6000::/40 | 2002:d900:60ff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:d900:6100::/40 | 2002:d900:61ff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:d900:6200::/40 | 2002:d900:62ff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:d900:6300::/40 | 2002:d900:63ff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:d900:6400::/40 | 2002:d900:64ff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:d900:6500::/40 | 2002:d900:65ff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:d900:6600::/40 | 2002:d900:66ff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:d900:6700::/40 | 2002:d900:67ff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:d900:6800::/40 | 2002:d900:68ff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:d900:6900::/40 | 2002:d900:69ff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:d900:6a00::/40 | 2002:d900:6aff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:d900:6b00::/40 | 2002:d900:6bff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:d900:6c00::/40 | 2002:d900:6cff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:d900:6d00::/40 | 2002:d900:6dff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:d900:6e00::/40 | 2002:d900:6eff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:d900:6f00::/40 | 2002:d900:6fff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:d900:7000::/40 | 2002:d900:70ff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:d900:7100::/40 | 2002:d900:71ff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:d900:7200::/40 | 2002:d900:72ff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:d900:7300::/40 | 2002:d900:73ff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:d900:7400::/40 | 2002:d900:74ff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:d900:7500::/40 | 2002:d900:75ff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:d900:7600::/40 | 2002:d900:76ff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:d900:7700::/40 | 2002:d900:77ff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:d900:7800::/40 | 2002:d900:78ff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:d900:7900::/40 | 2002:d900:79ff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:d900:7a00::/40 | 2002:d900:7aff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:d900:7b00::/40 | 2002:d900:7bff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:d900:7c00::/40 | 2002:d900:7cff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:d900:7d00::/40 | 2002:d900:7dff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:d900:7e00::/40 | 2002:d900:7eff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:d900:7f00::/40 | 2002:d900:7fff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:d900:8000::/40 | 2002:d900:80ff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:d900:8100::/40 | 2002:d900:81ff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:d900:8200::/40 | 2002:d900:82ff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:d900:8300::/40 | 2002:d900:83ff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:d900:8400::/40 | 2002:d900:84ff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:d900:8500::/40 | 2002:d900:85ff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:d900:8600::/40 | 2002:d900:86ff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:d900:8700::/40 | 2002:d900:87ff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:d900:8800::/40 | 2002:d900:88ff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:d900:8900::/40 | 2002:d900:89ff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:d900:8a00::/40 | 2002:d900:8aff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:d900:8b00::/40 | 2002:d900:8bff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:d900:8c00::/40 | 2002:d900:8cff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:d900:8d00::/40 | 2002:d900:8dff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:d900:8e00::/40 | 2002:d900:8eff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:d900:8f00::/40 | 2002:d900:8fff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:d900:9000::/40 | 2002:d900:90ff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:d900:9100::/40 | 2002:d900:91ff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:d900:9200::/40 | 2002:d900:92ff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:d900:9300::/40 | 2002:d900:93ff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:d900:9400::/40 | 2002:d900:94ff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:d900:9500::/40 | 2002:d900:95ff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:d900:9600::/40 | 2002:d900:96ff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:d900:9700::/40 | 2002:d900:97ff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:d900:9800::/40 | 2002:d900:98ff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:d900:9900::/40 | 2002:d900:99ff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:d900:9a00::/40 | 2002:d900:9aff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:d900:9b00::/40 | 2002:d900:9bff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:d900:9c00::/40 | 2002:d900:9cff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:d900:9d00::/40 | 2002:d900:9dff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:d900:9e00::/40 | 2002:d900:9eff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:d900:9f00::/40 | 2002:d900:9fff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:d900:a000::/40 | 2002:d900:a0ff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:d900:a100::/40 | 2002:d900:a1ff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:d900:a200::/40 | 2002:d900:a2ff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:d900:a300::/40 | 2002:d900:a3ff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:d900:a400::/40 | 2002:d900:a4ff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:d900:a500::/40 | 2002:d900:a5ff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:d900:a600::/40 | 2002:d900:a6ff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:d900:a700::/40 | 2002:d900:a7ff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:d900:a800::/40 | 2002:d900:a8ff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:d900:a900::/40 | 2002:d900:a9ff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:d900:aa00::/40 | 2002:d900:aaff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:d900:ab00::/40 | 2002:d900:abff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:d900:ac00::/40 | 2002:d900:acff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:d900:ad00::/40 | 2002:d900:adff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:d900:ae00::/40 | 2002:d900:aeff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:d900:af00::/40 | 2002:d900:afff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:d900:b000::/40 | 2002:d900:b0ff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:d900:b100::/40 | 2002:d900:b1ff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:d900:b200::/40 | 2002:d900:b2ff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:d900:b300::/40 | 2002:d900:b3ff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:d900:b400::/40 | 2002:d900:b4ff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:d900:b500::/40 | 2002:d900:b5ff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:d900:b600::/40 | 2002:d900:b6ff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:d900:b700::/40 | 2002:d900:b7ff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:d900:b800::/40 | 2002:d900:b8ff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:d900:b900::/40 | 2002:d900:b9ff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:d900:ba00::/40 | 2002:d900:baff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:d900:bb00::/40 | 2002:d900:bbff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:d900:bc00::/40 | 2002:d900:bcff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:d900:bd00::/40 | 2002:d900:bdff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:d900:be00::/40 | 2002:d900:beff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:d900:bf00::/40 | 2002:d900:bfff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:d900:c000::/40 | 2002:d900:c0ff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:d900:c100::/40 | 2002:d900:c1ff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:d900:c200::/40 | 2002:d900:c2ff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:d900:c300::/40 | 2002:d900:c3ff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:d900:c400::/40 | 2002:d900:c4ff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:d900:c500::/40 | 2002:d900:c5ff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:d900:c600::/40 | 2002:d900:c6ff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:d900:c700::/40 | 2002:d900:c7ff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:d900:c800::/40 | 2002:d900:c8ff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:d900:c900::/40 | 2002:d900:c9ff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:d900:ca00::/40 | 2002:d900:caff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:d900:cb00::/40 | 2002:d900:cbff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:d900:cc00::/40 | 2002:d900:ccff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:d900:cd00::/40 | 2002:d900:cdff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:d900:ce00::/40 | 2002:d900:ceff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:d900:cf00::/40 | 2002:d900:cfff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:d900:d000::/40 | 2002:d900:d0ff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:d900:d100::/40 | 2002:d900:d1ff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:d900:d200::/40 | 2002:d900:d2ff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:d900:d300::/40 | 2002:d900:d3ff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:d900:d400::/40 | 2002:d900:d4ff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:d900:d500::/40 | 2002:d900:d5ff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:d900:d600::/40 | 2002:d900:d6ff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:d900:d700::/40 | 2002:d900:d7ff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:d900:d800::/40 | 2002:d900:d8ff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:d900:d900::/40 | 2002:d900:d9ff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:d900:da00::/40 | 2002:d900:daff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:d900:db00::/40 | 2002:d900:dbff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:d900:dc00::/40 | 2002:d900:dcff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:d900:dd00::/40 | 2002:d900:ddff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:d900:de00::/40 | 2002:d900:deff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:d900:df00::/40 | 2002:d900:dfff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:d900:e000::/40 | 2002:d900:e0ff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:d900:e100::/40 | 2002:d900:e1ff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:d900:e200::/40 | 2002:d900:e2ff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:d900:e300::/40 | 2002:d900:e3ff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:d900:e400::/40 | 2002:d900:e4ff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:d900:e500::/40 | 2002:d900:e5ff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:d900:e600::/40 | 2002:d900:e6ff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:d900:e700::/40 | 2002:d900:e7ff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:d900:e800::/40 | 2002:d900:e8ff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:d900:e900::/40 | 2002:d900:e9ff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:d900:ea00::/40 | 2002:d900:eaff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:d900:eb00::/40 | 2002:d900:ebff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:d900:ec00::/40 | 2002:d900:ecff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:d900:ed00::/40 | 2002:d900:edff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:d900:ee00::/40 | 2002:d900:eeff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:d900:ef00::/40 | 2002:d900:efff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:d900:f000::/40 | 2002:d900:f0ff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:d900:f100::/40 | 2002:d900:f1ff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:d900:f200::/40 | 2002:d900:f2ff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:d900:f300::/40 | 2002:d900:f3ff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:d900:f400::/40 | 2002:d900:f4ff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:d900:f500::/40 | 2002:d900:f5ff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:d900:f600::/40 | 2002:d900:f6ff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:d900:f700::/40 | 2002:d900:f7ff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:d900:f800::/40 | 2002:d900:f8ff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:d900:f900::/40 | 2002:d900:f9ff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:d900:fa00::/40 | 2002:d900:faff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:d900:fb00::/40 | 2002:d900:fbff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:d900:fc00::/40 | 2002:d900:fcff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:d900:fd00::/40 | 2002:d900:fdff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:d900:fe00::/40 | 2002:d900:feff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:d900:ff00::/40 | 2002:d900:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |